2013-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Merge bibtex8/ and bibtexu/ into bibtex-x (extended).
	* bibtex-[234].c, bibtex.[ch], gblprocs.h, gblvars.h, utils.c:
	Use '#ifndef UTF_8 <bibtex8 code> #ekse <bibtexu code> #endif'.
	* version.h: Set date to '18 mar 2013'.
	Makefile.am, configure.ac: Adapted.

2013-03-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	BibTeX8
	* bibtex-2.c: Use char_less_than and char_greater_than macros.

	BibTeXu
	* bibtex-[24].c, bibtex.h: Define and use DO_UTF8 to handle
	1-, 2-, 3-, and 4-byte UTF-8 codes.
	* tests/bibtex.test (removed): Renamed ...
	* tests/bibtexu.test (new): ... into this.

2013-03-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	BibTeXu
	Reduce diffs with bibtex8.
	* bibtex-[1-4].c, bibtex.[ch], gblprocs.h, gblvars.h,
	utils.[ch]: Drop unused code and adjust white space,
	#include "unicode/*.h" only through gblprocs.h.

2013-02-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (btdocdir): Change texmf => texmf-dist.

2012-12-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	BibTeXu
	* bibtex-2.c: Drop unused variable (gcc-4.6 warning).

2012-11-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-10-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* utils.c (c8read_csf): DEFAULT_BIBTEX_CSFILE is set to
	"/nonesuch" in ../kpathsea/paths.h; so we use CSF_FILE_ENVVAR.

2012-08-04  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	BibTeXu
	* bibtex.c : Change order of inclusion of headers to avoid warnings.

2012-04-12  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* bibtex-2.c: Do not check whether Glob_Str_Size > Buf_Size,
	and Ent_Str_size > Buf_Size, since Buf_Size can be changed
	dynamically, whereas Glob_Str_Size and Ent_Str_Size are maximum
	values which are constants.

2012-04-10  Norbert Preining  <preining@logic.at>

	* bibtex-2.c: Do not check whether Glob_Str_Size > Buf_Size,
	since the former can be changed dynamically
	* bibtex.h: Adjust BUF_SIZE to the value that matches bibtex.ch

2012-02-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex.c (eoln): Accept both CR and LF as end-of-line.

2011-12-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Replace ${prefix}/texmf => $(datarootdir)/texmf.

2011-10-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	BibTeX8
	* Makefile.am (DISTCLEANFILES): Preserve distributed files.

	BibTeXu
	* Makefile.am (DISTCLEANFILES): Add CXXLD.sh.

2011-04-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid 'differ in signedness' warnings.
	* datatype.h (PdsType_T): Do not declare as unsigned.
	* bibtex-3.c (pre_define): Cast xord[] index to UChar_T.
	* utils.c (c8read_csf): Cast name_of_file to 'char *'.

	BibTeXu
	* bibtex-2.c: A few casts to 'char *'.

2011-03-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* utils.c (setup_bound_variable): `program_invocation_name' has
	been renamed into `kpse_invocation_name'.

2010-10-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	BibTeXu
	* tests/bibtexu.test (new): Just 'bibtexu -version'.
	* Makefile.am: Add the new test.

2010-05-03  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* bibtex.h: fix a bug in the macro BIB_XRETALLOC_STRING.

2010-03-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex*.[ch], gblvars.h, utils.c: Obtain Ent_Str_Size and
	Glob_Str_Size from environment or config file.
	Dynamically allocate global strings arrays, literal stack
	arrays, and single function space instances; reallocate them
	as required.

2010-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* utils.c: Default csfile and Max_Strings from env or config.
	* bibtex.h (STR_ROOM): Call pool_overflow() as often as needed.
	* bibtex-3.c (scan_fn_def): Same for increase Wiz_Fn_Space.
	* bibtex-4.c (BST_STRING_SIZE_EXCEEDED): Drop extra "%ld".
	(x_text_prefix): Add missing STR_ROOM.

	BibTeX8
	* bibtex.c: Call kpse_set_program_name with "bibtex8".

	BibTeXu
	* bibtex.c: Call kpse_set_program_name with "bibtexu".

2010-03-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Dynamic allocation of name_of_file strings.  No padding.
	* bibtex-1.c (add_area): Not used and removed.
	* bibtex-2.c (file_nm_size_overflow): Not used and removed.
	* bibtex-3.c (s_bst_area, s_bib_area): Removed.
	* gblvars.h (bib_area_string, bst_area_string): Removed.
	* utils.c (open_ip_file, open_op_file): Adapted.

2010-03-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex-1.c (check_cite_overflow): Reallocate cite_info,
	cite_list, entry_exists, and type_list.
	* bibtex.h (MAX_CITES): Initial allocation as in bibtex.web.
	* gblvars.h (M_cites): Removed.
	* utils.c (parse_cmd_line, usage): Ignore/remove --mcites.

	* bibtex-1.c (add_database_cite): Fix bug, from bibtex.ch.

	* Makefile.am (AM_CPPFLAGS): Remove obsolete -funsigned-char.

	BibTeX8
	* tests/bibtex-mem.test: New shell script for dynamic arrays.
	* Makefile.am: Adapted.

2010-03-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex-1.c, utils.c: Delay allocation of entry_ints and
	entry_strs until the required size is known.
	* bibtex.h (MAX_ENT_INTS, MAX_ENT_STRS): Removed.
	* gblvars.h (M_entstrs, Max_Ent_Ints, Max_Ent_Strs): Removed.
	* utils.c (parse_cmd_line, usage): Ignore/remove --mentstrs.

	BibTeX8
	* tests/sort.test: New shell script to test csfiles.
	* tests/sort[123].{bbl,csf}, tests/test{data.bib,style.bst}:
	Test data from Philipp Lehman <lehman@gmx.net>.

2010-03-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tests/bibtex.test: New shell script to test 7-bit mode.
	* Makefile.am (TESTS, EXTRA_DIST, DISTCLEANFILES): Adapted.

	* bibtex-1.c, bibtex-2.c: Reallocate bib_file, bib_list, and
	s_preamble as needed.

	* datatype.h (BufType_T): Declare as pointer instead of array.
	* gblvars.h, utils.c: Dynamically allocate buffer, ex_buf,
	out_buf, and sv_buffer.
	* bibtex-1.c (add_out_pool): Call buffer_overflow to reallocate.
	(buffer_overflow): Reallocate buffer, ex_buf, name_sep_char,
	name_tok, out_buf, and sv_buffer as needed.

	* utils.c (c8read_csf): Drastically reduce sx array size.

2010-03-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex-1.c: Reallocate entry_ints, field_info as needed.
	* bibtex-3.c: Reallocate wiz_functions as needed.
	* gblvars.h, utils.c: Dynamically allocate bib_file, bib_list,
	name_sep_char, name_tok, and s_preamble.
	* gblvars.h (M_entints, M_fields, M_wiz_fn_space): Removed.
	* utils.c (parse_cmd_line, usage): Ignore/remove --mentints,
	--mfields, and --mwizfuns.

	* bibtex-4.c: Added check for str_pool overflow (from bibtex).

	* gblvars.h (Buf_Size, Max_Bib_Files): New global vars.
	* utils.c: Set Buf_Size=BUF_SIZE, Max_Bib_Files=MAX_BIB_FILES.
	Allocate bib_file, bib_list, name_sep_char, name_tok, and
	s_preamble.[A
	* bibtex-1.c, bibtex-2.c: Use Buf_Size and Max_Bib_Files.

2010-03-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Dynamic allocation of arrays.
	* bibtex.h (MYRETALLOC, BIB_XRETALLOC, BIB_XRETALLOC_NOSET):
	Preprocessor macros used to reallocate arrays.
	* utils.[ch] (myrealloc): New function.
	(mymalloc, myrealloc): Allocate at least 1 byte, to avoid NULL.
	(checkdbg, checklong): Declare as static.

	* bibtex-2.c (pool_overflow): Reallocate str_pool as needed.
	* gblvars.h (M_pool): Removed.
	* utils.c (parse_cmd_line, usage): Ignore/remove --mpool.

	BibTeX8
	* utils.c (usage): This is bibtex8, not bibtex.

2010-03-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Determine hash_size from max_strings and compute hash_prime.
	* bibtex.c (main): Don't call allocate_arrays.
	Print newline after fatal error message.
	* utils.c (allocate_arrays): Declare as static.
	(compute_hash_prime): New function, using allocated arrays.
	(set_array_sizes): Call allocate_arrays and compute_hash_prime.
	* utils.h (allocate_arrays): Remove.

2010-03-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex.h: Adapt to bibtex.web final 0.99d from Oren.

2010-03-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex-1.c: Remove spurious format spec in BIBTEX_OVERFLOW.

2010-03-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex-1.c, bibtex.h: Adapt to bibtex.web 0.99d test 1
	from Oren, breaking .bbl lines only at whitespace.

2010-02-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* sysdep.h (IMPLEMENTATION): Define for MinGW32.
	* utils.c [WIN32]: Do not #include <kpathsea/getopt.h>.
	* utils.h (CDECL) [WIN32]: #undef before re-#define.

2010-02-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* getopt.[ch], getopt1.h: Removed, use libkpathsea.
	* utils.c: #include <kpathsea/getopt.h> instead of "getopt.h".
	* Makefile.am (EXTRA_DIST): remove getopt.[ch] and getopt1.h.

2009-11-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bibtex*.c, utils.c: #include <config.h>.
	* configure.ac: Add AC_CONFIG_HEADERS([config.h]).

2009-10-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* utils.c (open_ip_file, open_op_file): Check for legitimate
	file names via kpse_{in,out}_name_ok() before opening files.

2009-10-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import BibTeXu from http://omega.enstb.org/yannis/bibtexu/.
	Avoid various compiler warnings:
	* bibtex-[234].c: unused vars, decl. after stmt., return with
	value in void function.
	* bibtex-[23].c: #include "unicode/ustring.h".

2009-09-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* utils.[ch] (getopt_str): Declare string as const.
	(debug_msg): Declare param2 string as const.
	(usage): Declare param string as const.
	* datatype.h (PdsType_T): Declare char array as const.

2009-06-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CFLAGS): enable compiler warnings.
	* bibtex-3.c (str_lookup): silence 'used uninitialized' warning.
	* datatype.h, gblvars.h: in various places replace Integer8_T
	(i.e., char) by UChar_T (i.e., unsigned char).
	* utils.c (c8read_csf): avoid unused variable.
	* remove rcsid's.

	* FIXME: still needs careful checking for signed/unsigned char.

2009-06-04  Karl Berry  <karl@tug.org>

	* Makefile.am (AM_CPPFLAGS): move -funsigned-char here,
	since we don't want to pass it to the loader.
	peb tlbuild mail 3 Jun 2009 17:37:38 +0200.

2009-05-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

2008-03-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* sysdep.h: avoid redefinition of TRUE and FALSE.

2008-02-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.in: added AC_CONFIG_HEADERS (moved
	from ../kpathsea/common.ac to here).

2008-01-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* utils.c: Fix a typo (relevant for non-kpathsea version).

2008-01-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* Makefile.in: Add @configure_input@ line.
	* aclocal.m4 (new): Generated (aclocal -I ../m4).
	* configure: Regenerated (autoconf).

2007-07-16  Karl Berry  <karl@tug.org>

	* bibtex.h (BUF_SIZE, MAX_CITES, MAX_ENT_INTS, MAX_ENT_STRS,
	MAX_STRS): increase.  From panov, 12 Jul 2007 12:13:38.

